
#ifndef __INSANE_H__
#define __INSANE_H__


enum insane_mode {
    INSANE_PASS = 0,   /* every packet is transmitted (default) */
    INSANE_PERCENT,    /* pass some percent of the packets */
    INSANE_TIME,       /* work (and fail) on a timely basis */
};

#define INSANE_NAMELEN 16

struct insane_userinfo {
    char name[INSANE_NAMELEN];
    int mode;
    int arg1;
    int arg2;
};

/* These are the two ioctl commands needed to interact with insane */
#define SIOCINSANESETINFO SIOCDEVPRIVATE
#define SIOCINSANEGETINFO (SIOCDEVPRIVATE+1)

#endif /* __INSANE_H__ */
